Description: /etc/dunstrc as default system config file
Author: Jordi Pujol <jordipujolp@gmail.com>

---

Forwarded: needed
Last-Update: 2014-10-18

Index: dunst/settings.c
===================================================================
--- dunst.orig/settings.c
+++ dunst/settings.c	2014-10-18 09:48:02.128635005 +0200
@@ -71,6 +71,9 @@ void load_settings(char *cmdline_config_
                 /* Fall back to just "dunstrc", which was used before 2013-06-23
                  * (before v0.2). */
                 config_file = xdgConfigOpen("dunstrc", "r", &xdg);
+        }
+        if (config_file == NULL) {
+                config_file = fopen("/etc/dunstrc", "r");
                 if (config_file == NULL) {
                         puts("no dunstrc found -> skipping\n");
                         xdgWipeHandle(&xdg);
Index: dunst/README-pod
===================================================================
--- dunst.orig/README.pod
+++ dunst/README.pod	2014-10-18 10:13:02.952735349 +0200
@@ -177,9 +177,10 @@ of notifications through the lock and to
 
 =head1 CONFIGURATION
 
+The default per-system config file is installed in /etc/dunstrc.
 An example configuration file is included (usually /usr/share/doc/dunst/dunstrc.example.gz).
-To change the configuration, copy this file to ~/.config/dunst/dunstrc and edit
-it accordingly.
+To personalize the configuration for an user, copy this file to
+~/.config/dunst/dunstrc and edit it accordingly.
 
 =head1 AUTHOR
 
